[arch-commits] Commit in spyder/trunk (PKGBUILD fix-pylint-2.10.patch)

Bruno Pagani archange at gemini.archlinux.org
Sun Oct 17 19:24:00 UTC 2021


    Date: Sunday, October 17, 2021 @ 19:23:59
  Author: archange
Revision: 1030771

upgpkg: spyder 5.1.5-1

Added:
  spyder/trunk/fix-pylint-2.10.patch
Modified:
  spyder/trunk/PKGBUILD

-----------------------+
 PKGBUILD              |   42 +++++++++++++++++--------------
 fix-pylint-2.10.patch |   64 ++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 87 insertions(+), 19 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2021-10-17 19:18:25 UTC (rev 1030770)
+++ PKGBUILD	2021-10-17 19:23:59 UTC (rev 1030771)
@@ -4,7 +4,7 @@
 # Contributor: TDY <tdy at gmx.com>
 
 pkgname=spyder
-pkgver=5.0.1
+pkgver=5.1.5
 pkgrel=1
 pkgdesc="The Scientific Python Development Environment"
 arch=(any)
@@ -33,8 +33,8 @@
     python-pyqt5
     python-pyqtwebengine
     qt5-webkit
-    python-language-server
-    python-pyls-black
+    python-lsp-server
+    python-lsp-black
     python-pyls-spyder
     python-xdg
     python-pyzmq
@@ -72,7 +72,7 @@
     python-pytest-mock
     python-pytest-cov
     python-pytest-xvfb
-    python-pytest-ordering
+    python-pytest-order
     python-pytest-lazy-fixture
     python-flaky
     python-pandas
@@ -80,27 +80,30 @@
     python-sympy
     python-pillow
     python-matplotlib
+    python-rtree
     cython
     git
     tk
 )
-source=(https://github.com/spyder-ide/${pkgname}/archive/v${pkgver}/${pkgname}-${pkgver}.tar.gz)
-sha512sums=('af0c622ef295d91af079daec70bd8299afe248f43d602b2bb6bf345dac09284a6a74092b40fcca3905f3373e2dae9f43b0ed3f0ef1f9ad99bd78989e7bed579e')
+source=(https://github.com/spyder-ide/${pkgname}/archive/v${pkgver}/${pkgname}-${pkgver}.tar.gz
+        fix-pylint-2.10.patch)
+sha512sums=('2204fe46ad3e4e14bebb51ef6a53074b657f6d970553decd0b2f9d0a7fba71b2f14b4efc3248bb4fb944860e85851e4a8add475ff12c6466e864be75b8cc38bb'
+            '7837cb8af529df9f63041a883348a199d549d60bc7ea65913ca07728a087c503830aa2f09e80198f05c3b3b8d0c5de096d5d021e8c148b63d45d7b338d4b3e0e')
 
 prepare() {
   cd ${pkgname}-${pkgver}
-  # Allow our jedi/parso/pyls versions
-  sed "s|JEDI_REQVER = '=|JEDI_REQVER = '>=|" -i spyder/dependencies.py
-  sed "s|PARSO_REQVER = '=|PARSO_REQVER = '>=|" -i spyder/dependencies.py
+  # Remove pylint limit, we have a patched lsp (https://github.com/spyder-ide/spyder/pull/16565)
+  patch -p1 -i ../fix-pylint-2.10.patch
+  # Allow our python libraries versions
+  #sed "s|JEDI_REQVER = '=|JEDI_REQVER = '>=|" -i spyder/dependencies.py
+  #sed "s|PARSO_REQVER = '=|PARSO_REQVER = '>=|" -i spyder/dependencies.py
   sed "s|QDARKSTYLE_REQVER = '=|QDARKSTYLE_REQVER = '>=|" -i spyder/dependencies.py
-  sed "s|jedi==|jedi>=|" -i setup.py
-  sed "s|parso==|parso>=|" -i setup.py
+  #sed "s|jedi==|jedi>=|" -i setup.py
+  #sed "s|parso==|parso>=|" -i setup.py
   sed "s|qdarkstyle==|qdarkstyle>=|" -i setup.py
   # Allow our Qt version
   sed "s|'pyqt5<5.13'|'pyqt5'|" -i setup.py
   sed "s|'pyqtwebengine<5.13'|'pyqtwebengine'|" -i setup.py
-  # https://github.com/spyder-ide/spyder/pull/15100
-  sed "s|SPYDER_KERNELS_REQVER = '>=2.0.1,<2.1.0'|SPYDER_KERNELS_REQVER = '>=2.0.1;<2.1.0'|" -i spyder/dependencies.py
 }
 
 build() {
@@ -111,16 +114,17 @@
 check() {
   cd ${pkgname}-${pkgver}
   # Required per above patching
-  sed "s|jedi =|jedi >=|" -i binder/environment.yml
-  sed "s|parso =|parso >=|" -i binder/environment.yml
+  #sed "s|jedi =|jedi >=|" -i binder/environment.yml
+  #sed "s|parso =|parso >=|" -i binder/environment.yml
   sed "s|qdarkstyle =|qdarkstyle >=|" -i binder/environment.yml
   sed "s|pyqt <5.13|pyqt|" -i binder/environment.yml
-  sed "s|jedi =|jedi >=|" -i requirements/conda.txt
-  sed "s|parso =|parso >=|" -i requirements/conda.txt
+  #sed "s|jedi =|jedi >=|" -i requirements/conda.txt
+  #sed "s|parso =|parso >=|" -i requirements/conda.txt
   sed "s|qdarkstyle =|qdarkstyle >=|" -i requirements/conda.txt
   sed "s|pyqt <5.13|pyqt|" -i requirements/conda.txt
-  # Some tests failures but upstream does not support us
-  python runtests.py || echo "Tests failed"
+  # Failures from Qt5.12-targeted tests, non-CI tests, etc.
+  # Some even segfaults, but upstream does not support us
+  python runtests.py --color=yes || echo "Tests failed"
 }
 
 package() {

Added: fix-pylint-2.10.patch
===================================================================
--- fix-pylint-2.10.patch	                        (rev 0)
+++ fix-pylint-2.10.patch	2021-10-17 19:23:59 UTC (rev 1030771)
@@ -0,0 +1,64 @@
+From fd8360471bc6ab76ffd33799bc402e48342286b0 Mon Sep 17 00:00:00 2001
+From: Carlos Cordoba <ccordoba12 at gmail.com>
+Date: Sat, 9 Oct 2021 12:13:18 -0500
+Subject: [PATCH 1/4] Remove top constraint on Pylint
+
+---
+ binder/environment.yml | 2 +-
+ requirements/conda.txt | 2 +-
+ setup.py               | 2 +-
+ spyder/dependencies.py | 2 +-
+ 4 files changed, 4 insertions(+), 4 deletions(-)
+
+diff --git a/binder/environment.yml b/binder/environment.yml
+index 5ce8931ca5..b19e80e576 100644
+--- a/binder/environment.yml
++++ b/binder/environment.yml
+@@ -26,7 +26,7 @@ dependencies:
+ - pickleshare >=0.4
+ - psutil >=5.3
+ - pygments >=2.0
+-- pylint >=2.5.0,<2.10.0
++- pylint >=2.5.0
+ - pyls-spyder >=0.4.0
+ - pyqt <5.13
+ - python-lsp-black >=1.0.0
+diff --git a/requirements/conda.txt b/requirements/conda.txt
+index 93a0b15132..471c8033e6 100644
+--- a/requirements/conda.txt
++++ b/requirements/conda.txt
+@@ -22,7 +22,7 @@ pexpect >=4.4.0
+ pickleshare >=0.4
+ psutil >=5.3
+ pygments >=2.0
+-pylint >=2.5.0,<2.10.0
++pylint >=2.5.0
+ pyls-spyder >=0.4.0
+ pyqt <5.13
+ python-lsp-black >=1.0.0
+diff --git a/setup.py b/setup.py
+index f81c314df2..09fab41d11 100644
+--- a/setup.py
++++ b/setup.py
+@@ -222,7 +222,7 @@ def run(self):
+     'pickleshare>=0.4',
+     'psutil>=5.3',
+     'pygments>=2.0',
+-    'pylint>=2.5.0,<2.10.0',
++    'pylint>=2.5.0',
+     'python-lsp-black>=1.0.0',
+     'pyls-spyder>=0.4.0',
+     'pyqt5<5.13',
+diff --git a/spyder/dependencies.py b/spyder/dependencies.py
+index 61576fd824..9fa832ce38 100644
+--- a/spyder/dependencies.py
++++ b/spyder/dependencies.py
+@@ -52,7 +52,7 @@
+ PICKLESHARE_REQVER = '>=0.4'
+ PSUTIL_REQVER = '>=5.3'
+ PYGMENTS_REQVER = '>=2.0'
+-PYLINT_REQVER = '>=2.5.0;<2.10.0'
++PYLINT_REQVER = '>=2.5.0'
+ PYLSP_REQVER = '>=1.2.2;<1.3.0'
+ PYLSP_BLACK_REQVER = '>=1.0.0'
+ PYLS_SPYDER_REQVER = '>=0.4.0'



More information about the arch-commits mailing list